Subject: Re: [PATCH 11/16] netvm: Propagate page->pfmemalloc from skb_alloc_page to skb

From: Mel Gorman <[email-masked]>
Date: Tue, 10 Jul 2012 12:12:42 +0100

On Mon, Jul 09, 2012 at 09:18:56PM +0200, Sebastian Andrzej Siewior wrote:
> 
> > I can update e1000 if you like but it's not critical
> > to do so and in fact getting a bug reporting saying that network swap
> > was slow on e1000 would be useful to me in its own way :)
> No, leave as it, I was just curious.
> One thing: Do you think it makes sense to you introduce
> 	#define GFP_NET_RX     (GFP_ATOMIC | __GFP_MEMALLOC)
> 
> and use it within the receive path instead of GFP_ATOMIC?
> 

For now, I'd prefer to keep the __GFP_MEMALLOC flag at the different
callsites because it forces people to think about what it means.  I fear
that GFP_NET_RX may be too easy to misuse without thinking about what the
consequences are.

-- 
Mel Gorman
SUSE Labs

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>